package nl.amis.jsf.validators;

import javax.faces.application.FacesMessage;
import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.validator.Validator;
import javax.faces.validator.ValidatorException;

import nl.amis.model.Postcode;

public class PostcodeValidator implements Validator{
    public PostcodeValidator() {
    }
    
    public void validate(FacesContext context, UIComponent componnent, Object value) throws ValidatorException {
        Postcode pc = (Postcode)value;
        if (pc.getCijfers()<1000 ) {
            throw new ValidatorException( new FacesMessage("Sorry, de postcode kan niet met 0 beginnen (mag niet kleiner zijn dan 1000)."));
        }
        else if ("IQ".equalsIgnoreCase(pc.getLetter() )) {
            throw new ValidatorException( new FacesMessage("IQ is niet een geldige lettercombinatie voor postcodes."));
        }
        // en hier de aanroep van de postcode-validatie-service....
    }
}
