package nl.amis.jsf.uicomponents.tags;

import javax.faces.application.Application;
import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.el.ValueBinding;
import javax.faces.webapp.UIComponentTag;


public class InputPostcodeTag extends UIComponentTag{
    private String value;

    public InputPostcodeTag() {
    }
    
    public String getComponentType() {
        return "InputPostcode";
    }
    
    public String getRendererType() {
        return null;
    }

    protected void setProperties(UIComponent component) {
        super.setProperties(component);
        if (value!=null) {
            if (isValueReference(value)) {
                FacesContext context = FacesContext.getCurrentInstance();
                Application app = context.getApplication();
                ValueBinding vb = app.createValueBinding(value);
                component.setValueBinding("value",vb);                
            }
            else {
                component.getAttributes().put("value",value);
            }
        }
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String getValue() {
        return value;
    }
}
